### robocode

# Class PaintEvent

- `java.lang.Object`
- - `robocode.Event`
  - - `robocode.PaintEvent`

Implemented Interfaces:
  Comparable, Serializable

`public final class PaintEvent`
`extends Event`

This event occurs when your robot should paint, where the `onPaint()` is called on your robot. You can use this event for setting the event priority by calling `setEventPriority("PaintEvent", priority)`

Author:
  Flemming N. Larsen (original)

  ## Constructor Summary

  `PaintEvent()`
    Called by the game to create a new PaintEvent.

  ## Method Summary

  ### Methods inherited from class robocode.Event

  `compareTo`, `getPriority`, `getTime`

## Constructor Details

### PaintEvent

    public PaintEvent()

> Called by the game to create a new PaintEvent.